#product-container {
     grid-gap: 10px;
}

.product {
     background: white;
     text-align: center;
     position: relative;
     color: #333;
}

.product strong {
     margin: 0px 0px 5px 0px;
     font-weight: 300;
     font-size: 16px;
     display: block;
}

.product .kode {
     font-size: 12px;
}

.product .price {
     font-size: 18px;
}

.product .discount {
     font-size: 13px;
     color: red;
     text-decoration: line-through;
}

.product .harganonmember {
     font-size: 13px;
     color: #0079e8;
}


.product .summary {
     font-size: 12px;
     color: #9d9d9d;
}

.product .sale {
     position: absolute;
     z-index: 2;
     top: 0;
     left: 2px;
}

.product .sold {
     position: absolute;
     z-index: 2;
     left: 40%;
}





.product .tombol-pesan {
     color: white;
     display: block;
     padding: 10px;
     text-align: center;
     background: #2f7dc2;
     border: none;
     width: 100%;
     font-size: 13px;
     font-family: 'Open Sans', sans-serif;
     margin: 0px;
}

.product .tombol-pesan:hover {
     cursor: pointer;
     background: #1f64a1;
}

.product .lihatdetail a {
     color: #fff;
     display: block;
     padding: 10px;
     text-align: center;
     background: #333;
     font-size: 13px;
     font-family: 'Open Sans', sans-serif;
     margin: 0px;
}

.product .lihatdetail a:hover {
     background: black;
}

.size-container {
     display: none;
     background: #f1f1f1;
     font-size: 12px;
}

.size-container button {
     text-align: center;
     background: #333;
     border: none;
     color: white;
}

.size-container button:hover {
     background: black;
     cursor: pointer;
}

.text-warna-tersedia {
     font-size: 14px;
}

.kotak-warna {
     height: 25px;
     width: 25px;
}

.kotak-warna:hover {
     cursor: pointer;
}

.active-warna::before {
     content: "X";
}

.size-banyak {
     display: none;
}

.show-size-banyak {
     display: block;
}


@media (max-width: 740px) {
     #product-container {
          grid-template-columns: 1fr;
     }

     .tombol-pesan {
          order: 2
     }

     .lihatdetail {
          order: 1
     }


     .size-container button {
          padding: 10px;
     }

     .sold {
          top: 50px;
     }

     .gambar-produk {
          width: 350px;
          height: 350px;
     }
}

@media (min-width: 741px) {
     #product-container {
          grid-template-columns: 1fr 1fr 1fr
     }

     .size-container li {
          border: none;
          float: left;
          margin: 0px 5px 5px 0px;
     }

     .size-container button {
          padding: 5px 10px;
     }

     .sold {
          top: 80px;

     }

     .gambar-produk {
          width: 250px;
          height: 250px;
     }
}

@media (min-width: 992px) {
     .sold {
          top: 80px;
     }
}